Get Access Token With Refresh Token
Exchange organization scoped API-token for user access token.
Use this API instead:
- /oidc/oauth2/token
To obtain the access token please follow the steps described in the official product documentation. Using the token generated by the Identity Service API alone will not work due to a missing internal state.
DEPRECATED: Passing the refresh_token param name, need to use api_token.
Access Policy
| Role | Access |
|---|---|
| Anonymous | ✔️ |
Request
URI
POST
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/auth/api-tokens/authorize
COPY
Request Body
The application/x-www-form-urlencoded form data type.
AuthorizationByRefreshTokenRequest
of type(s)
application/json
Optional
{
"api_token": "string"
}
string
api_token
Optional
The API-token
Responses
200
OK
Returns
AccessToken
of type(s)
*/*
{
"scope": "string",
"access_token": "string",
"refresh_token": "string",
"id_token": "string",
"token_type": "string",
"expires_in": 0
}
400
Invalid request body.
Returns
AccessToken
of type(s)
*/*
{
"scope": "string",
"access_token": "string",
"refresh_token": "string",
"id_token": "string",
"token_type": "string",
"expires_in": 0
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/csp/gateway/am/api/auth/api-tokens/authorize
Deprecated
Authentication Controller Operations
POST
Get Access Token Pkce Flow
Deprecated
POST
Logout
Deprecated
POST
Get Access Token With Authorization Request
Deprecated
POST
Get Access Token With Refresh Token
Deprecated
GET
Get Keys
Deprecated